## libwcsmbs 0.0.5

=== Makefile ===
#
# Makefile for libwcsmbs
# Copyright (c) 1998 Fumitoshi UKAI <ukai@debian.or.jp>
#

SOVER=0.0
MVER=0

#ALTGCC=/usr/i486-linuxlibc1/bin/gcc

CFLAGS=-fPIC -Wall -O2 -I. -D_REENTRANT -D_GNU_SOURCE -DLOCALE_PATH='"/usr/share/locale:/usr/share/i18n"' -DLOCALEDIR='"/usr/share/locale"' -DLOCALE_ALIAS_PATH='"/usr/share/locale:/usr/share/i18n"' -DCHARMAP_PATH='"/usr/share/i18n/charmaps"' -DLOCSRCDIR='"/usr/share/i18n/locales"' -DHAVE_CONFIG_H -include libc-symbols.h
OBJS= setlocale.o mblen.o mb_cur_max.o \
	mbrtowc.o mbsnrtowcs.o mbsrtowcs.o \
	mbstowcs.o mbtowc.o wcrtomb.o wcsnrtombs.o \
	wcsrtombs.o wcstombs.o wctomb.o

ifdef ALTGCC
WCSMBS=libwcsmbs.so libwcsmbs-libc5.so
else
WCSMBS=libwcsmbs.so
endif

all: $(WCSMBS)

libwcsmbs.so: $(OBJS)
	$(CC) -fPIC -shared -Wl,-soname,libwcsmbs.so.0 \
                        -o libwcsmbs.so $(OBJS) -lc

libwcsmbs-libc5.so:
	-test -d /lib/libc5-compat && \
	cat /dev/null | $(ALTGCC) -fPIC -shared -Wl,-soname,libwcsmbs.so.0 \
			-o libwcsmbs-libc5.so 

install:
	install -o root -m 644 libwcsmbs.so $(DESTDIR)/lib/libwcsmbs.so.$(SOVER)
	cd $(DESTDIR)/lib && \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so.$(MVER); \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so
	-test -d /lib/libc5-compat && \
	 test -f libwcsmbs-libc5.so && \
	 (install -o root -m 644 libwcsmbs-libc5.so \
                     $(DESTDIR)/lib/libc5-compat/libwcsmbs.so.$(SOVER); \
		cd $(DESTDIR)/lib/libc5-compat && \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so.$(MVER); \
		ln -s libwcsmbs.so.$(SOVER) libwcsmbs.so)

clean:
	-rm -f *.o *.so *.so.*

# EOF

=== debian/changelog ===
libwcsmbs (0.0.5) frozen unstable; urgency=medium

  * (debian/control) Depends: libc6 (>= 2.0.7u), libc6 (< 2.0.8); close bug#30013
  * (Makefile) test -d /lib/libc5-compat 
  * (Makefile) ignore exit value of test -f libwcsmbs-libc5.so
  * (debian/postinst) fix Bug#JP/586, fix not to print "grep: ld.so.preload: No such file or directory"

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 15 Nov 1998 11:09:50 +0900

libwcsmbs (0.0.4) unstable; urgency=low

  * don't hardcode architecture strings in makefile, close Bug#28084 

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 20 Oct 1998 21:34:16 +0900

libwcsmbs (0.0.3) unstable; urgency=low

  * install shlibs to avoid dpkg-shlibdeps warning

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  9 Oct 1998 09:01:22 +0900

libwcsmbs (0.0.2) unstable; urgency=low

  * based on glibc_2.0.7u 
  * dl-close.c is no longer included, because dl-close bug has been fixed in glibc_2.0.7u (so libwcsmbs 0.0.2 depends libc6 (>= 2.0.7u))

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Oct 1998 02:48:30 +0900

libwcsmbs (0.0.1) unstable; urgency=low

  * close Bug/JP#546
  - don't use full path name in /etc/ld.so.preload
  - install dummy libwcsmbs.so into /lib/libc5-compat/

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 13 Sep 1998 23:47:54 +0900

libwcsmbs (0.0) unstable; urgency=low

  * Initial Release.
  * based on glibc_2.0.7t.orig.tar.gz, glibc_2.0.7t-1.diff.gz and
    - glibc_2.0.7t-1-1.wcsmbs.4.1.patch

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 11 Sep 1998 18:47:28 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libwcsmbs
Section: libs
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Standards-Version: 2.4.0.0

Package: libwcsmbs
Architecture: any
Depends: ${shlibs:Depends}, libc6 (>= 2.0.7u), libc6 (<< 2.0.8)
Description: Preload library that support wcsmbs-locale
 Since libc6 does not support multibyte character encodings,
 we cannot use Japanese or other languages which use multibyte character
 encodings.  
 .
 This package provides the framework to support such encodings.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
#
# modified for libwcsmbs by Fumitoshi UKAI <ukai@debian.or.jp>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

arch=$(shell dpkg --print-gnu-build-architecture)
ALTGCC=/usr/$(arch)-linuxlibc1/bin/gcc

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) ALTGCC=$(ALTGCC)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) ALTGCC=$(ALTGCC) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs debian/README.wcsmbs \
		debian/wcsmbs.patch
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
# libwcsmbs.so only used for preload, no need to generate shlibs
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
